using Newtonsoft.Json;

namespace Managing.Infrastructure.Evm.Models.Gmx.v2;

public class GmxStoreKeys
{
    [JsonProperty("longPoolAmount", NullValueHandling = NullValueHandling.Ignore)]
    public string LongPoolAmount { get; set; }

    [JsonProperty("shortPoolAmount", NullValueHandling = NullValueHandling.Ignore)]
    public string ShortPoolAmount { get; set; }

    [JsonProperty("positionImpactPoolAmount", NullValueHandling = NullValueHandling.Ignore)]
    public string PositionImpactPoolAmount { get; set; }

    [JsonProperty("swapImpactPoolAmountLong", NullValueHandling = NullValueHandling.Ignore)]
    public string SwapImpactPoolAmountLong { get; set; }

    [JsonProperty("swapImpactPoolAmountShort", NullValueHandling = NullValueHandling.Ignore)]
    public string SwapImpactPoolAmountShort { get; set; }

    [JsonProperty("longInterestUsingLongToken", NullValueHandling = NullValueHandling.Ignore)]
    public string LongInterestUsingLongToken { get; set; }

    [JsonProperty("longInterestUsingShortToken", NullValueHandling = NullValueHandling.Ignore)]
    public string LongInterestUsingShortToken { get; set; }

    [JsonProperty("shortInterestUsingLongToken", NullValueHandling = NullValueHandling.Ignore)]
    public string ShortInterestUsingLongToken { get; set; }

    [JsonProperty("shortInterestUsingShortToken", NullValueHandling = NullValueHandling.Ignore)]
    public string ShortInterestUsingShortToken { get; set; }

    [JsonProperty("longInterestInTokensUsingLongToken", NullValueHandling = NullValueHandling.Ignore)]
    public string LongInterestInTokensUsingLongToken { get; set; }

    [JsonProperty("longInterestInTokensUsingShortToken", NullValueHandling = NullValueHandling.Ignore)]
    public string LongInterestInTokensUsingShortToken { get; set; }

    [JsonProperty("shortInterestInTokensUsingLongToken", NullValueHandling = NullValueHandling.Ignore)]
    public string ShortInterestInTokensUsingLongToken { get; set; }

    [JsonProperty("shortInterestInTokensUsingShortToken", NullValueHandling = NullValueHandling.Ignore)]
    public string ShortInterestInTokensUsingShortToken { get; set; }
}